;;**********************************************************************;;
;;									;;
;;		e l e c - s q l p l u s                 		;;
;;		-----------------------                   		;;
;;									;;
;;	Marc Munro					22-Oct-93	;;
;;									;;
;;	Electric mode stuff for interactive SQLPLUS.   			;;
;;									;;
;;                                                                      ;;
;;                                                                      ;;
;;**********************************************************************;;

(require 'sqlplus)
(require 'elec-sql)

(setq sqlplus-mode-hook
      'make-sqlplus-electric)

(defun make-sqlplus-electric ()
  (make-sql-electric)
  (setq major-mode 'electric-sqlplus-mode)
  (setq mode-name "Elec-Sqlplus")
  (define-key sqlplus-mode-map "\t"    'sql-tab)
  (define-key sqlplus-mode-map "\C-cv" 'elec-sql-switch-verbatim)
  (setq sql-terminators sqlplus-terminators)
  (make-local-variable 'indent-line-function)
  (setq indent-line-function 'sql-indent)
  (abbrev-mode 1))

  

