(progn
  (text-mode)
  (set-frame-width (selected-frame) 132)
  (overwrite-mode 1)
  (auto-fill-mode 1)
  (setq fill-prefix "     | ")
  (setq fill-column 60)
  (setq auto-fill-function 'IR-do-fill))

(defun IR-do-fill ()
  "Do filling for IRs."
  (if (> (current-column) 69)
      nil
    (do-auto-fill)
    (let ((tmp (point-marker))
	  (text))
      (re-search-forward "[^ \t]")
      (forward-char -1)
      (setq text (buffer-substring (point) (progn (end-of-line) (point))))
      (message text)
      (sit-for 5)
      (delete-region tmp (point))
      (next-line -1)
      (end-of-line)
      (insert (substring "                   " 0 (- 69 (current-column)))
	      text)
      (goto-char tmp)
      (end-of-line)
      (insert (substring "                                                                               " 
		         0 (- 69 (current-column)))
  	      "|              |    |         |              |    |         |")
      (goto-char tmp))))





